Subject: bug#47791: util-linux fails to build on the Hurd (some tests fail)

From: Maxime Devos <[email-masked]>
Date: Fri, 16 Apr 2021 20:55:40 +0200

On Fri, 2021-04-16 at 18:07 +0200, Ludovic Courtès wrote:
> Hi,
> 
> Maxime Devos <[email-masked]> skribis:
> > >  3 tests of 204 FAILED
> 
> Yes, this is a “known problem”:
> 
>   https://issues.guix.gnu.org/43857
I'll take a look.

> The problem is that the build environment on GNU/Hurd has yet to be
> specified, which is what the patch above was partly trying to address
> (though I think we could do better than spawn one firmlink translator
> per store item…).
> 
> The “Isolated build environments” section of
> <https://guix.gnu.org/en/blog/2020/childhurds-and-substitutes/>
> discusses the broader issue.
> 
> If you’d like to get some Hurd hacking done, here’s a good opportunity.
> :-)

Problem is, I was trying to create a VM with Hurd to my liking
with "guix system etcetera", to do some Hurd hacking.
(GNOME Boxes only accepts ISO's, no qcow2's)
But this command fails.  Both when cross-compiling (meson doesn't
support cross-builds yet), and when compiling ‘natively’ using
the childhurd --- apparently util-linux is in the dependency tree.

Maybe the tests should be disabled on the Hurd on now, in order
to be able to fix the underlying issues more easily?

Greetings,
Maxime.